- Qt 5.5
- Qt3D Module
- C++ Classes
- NullCollisionQueryService
- Qt 5.5.1 Reference Documentation

# NullCollisionQueryService Class

(Qt3D::NullCollisionQueryService)

Inherits: | QAbstractCollisionQueryService

- List of all members, including inherited members

## Public Functions

| NullCollisionQueryService()
| ~NullCollisionQueryService()

## Reimplemented Public Functions

virtual QVector<QCollisionQueryResult> | fetchAllResults() const
virtual QCollisionQueryResult | fetchResult(const QQueryHandle & handle)
virtual QQueryHandle | query(const QRay3D & ray, QueryMode mode)

- 3 public functions inherited from Qt3D::QAbstractCollisionQueryService
- 2 public functions inherited from Qt3D::QAbstractServiceProvider

### Additional Inherited Members

- 2 protected functions inherited from Qt3D::QAbstractCollisionQueryService

## Member Function Documentation

### NullCollisionQueryService::NullCollisionQueryService()

### NullCollisionQueryService::~NullCollisionQueryService()

### `[virtual]` QVector<QCollisionQueryResult> NullCollisionQueryService::fetchAllResults() const

### `[virtual]` QCollisionQueryResult NullCollisionQueryService::fetchResult(const QQueryHandle & handle)

### `[virtual]` QQueryHandle NullCollisionQueryService::query(const QRay3D & ray, QueryMode mode)